export interface MainPageText {
  mainTitleLine: string;
  subTitleLine: string;
  cardTitle: {
    dutyInfo: string;
    stepInfo: string;
    tipsInfo: string;
  };
  expandTitle: {
    stepInfo: string;
    tipsInfo: string;
  };
  stepList: Array<{ title: string }>;
  tipsList: Array<{ title: string }>;

  dutyCard: {
    offDuty: {
      title: string;
      reason: (s: string) => string;
      recoverTime: (t: string) => string;
    };
    inDuty: {
      title: string;
      currentDutyText: (c: 'off' | '1' | '2' | '3') => string;
      inDutyCnt: (n: number) => string;
    };
  };
}

export const mainPageZhCn: MainPageText = {
  mainTitleLine: '您好，这里是E志者协会',
  subTitleLine: '维修请至【东三-204】实验室',
  cardTitle: {
    dutyInfo: '204值班情况',
    stepInfo: '维修步骤',
    tipsInfo: '注意事项',
  },
  expandTitle: {
    stepInfo: '查看维修步骤',
    tipsInfo: '查看注意事项',
  },
  stepList: [
    { title: '线上填写工单' },
    { title: '去`东三-204`实验室维修电脑' },
    { title: '等待电脑维修' },
    { title: '维修结束，取回电脑' },
  ],
  tipsList: [
    { title: '戴尔、Surface、外星人、苹果电脑不能拆机哦~' },
    { title: '数据无价，请随时做好数据备份哦~' },
    { title: '204也是实验室，请遵守实验室纪律，请勿饮食~' },
    { title: '我们是志愿服务，不收任何礼物哦~' },
  ],
  dutyCard: {
    offDuty: {
      title: '未值班',
      reason: s => '值班停止原因：' + s,
      recoverTime: t => '恢复值班时间：' + t,
    },
    inDuty: {
      title: '值班中',
      currentDutyText: c => {
        switch (c) {
          case 'off':
            return '当前未值班';
          case '1':
            return '第一班 13:30-16:00';
          case '2':
            return '第二班 16:00-18:00';
          case '3':
            return '第三班 18:00-20:30';
        }
      },
      inDutyCnt: n => '当前值班人数：' + n,
    },
  },
};

export const mainPageEnUs: MainPageText = {
  mainTitleLine: '您好，这里是E志者协会',
  subTitleLine: '维修请至【东三-204】实验室',
  cardTitle: {
    dutyInfo: '204值班情况',
    stepInfo: '维修步骤',
    tipsInfo: '注意事项',
  },
  expandTitle: {
    stepInfo: '查看维修步骤',
    tipsInfo: '查看注意事项',
  },
  stepList: [
    { title: '线上填写工单' },
    { title: '去`东三-204`实验室维修电脑' },
    { title: '等待电脑维修' },
    { title: '维修结束，取回电脑' },
  ],
  tipsList: [
    { title: '戴尔、Surface、外星人、苹果电脑不能拆机哦~' },
    { title: '数据无价，请随时做好数据备份哦~' },
    { title: '204也是实验室，请遵守实验室纪律，请勿饮食~' },
    { title: '我们是志愿服务，不收任何礼物哦~' },
  ],
  dutyCard: {
    offDuty: {
      title: '未值班',
      reason: s => '值班停止原因：' + s,
      recoverTime: t => '恢复值班时间：' + t,
    },
    inDuty: {
      title: '值班中',
      currentDutyText: c => {
        switch (c) {
          case 'off':
            return '当前未值班';
          case '1':
            return '第一班 13:30-16:00';
          case '2':
            return '第二班 16:00-18:00';
          case '3':
            return '第三班 18:00-20:30';
        }
      },
      inDutyCnt: n => '当前值班人数：' + n,
    },
  },
};
